- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.PartnerMetadata.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instances/getPartnerMetadata#try-it)

Gets partner metadata of the specified instance and namespaces.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/instances/{instance}/getPartnerMetadata`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` The name of the zone for this request. |
| `instance` | `string` Name of the instance scoping this request. |

### Query parameters

| Parameters ||
|---|---|
| `namespaces` | `string` Comma separated partner metadata namespaces. |

### Request body

The request body must be empty.

### Response body

Model definition of partnerMetadata field. To be used in dedicated Partner Metadata methods and to be inlined in the Instance and InstanceTemplate resources.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partnerMetadata": { string: { "entries": { string: value, ... } }, ... }, "fingerprint": string } ``` |

| Fields ||
|---|---|
| `partnerMetadata[]` | `map (key: string, value: object)` Partner Metadata assigned to the instance. A map from a subdomain to entries map. Subdomain name must be compliant with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt) definition. The total size of all keys and values must be less than 2MB. Subdomain 'metadata.compute.googleapis.com' is reserverd for instance's metadata. |
| `partnerMetadata[].entries` | ``map (key: string, value: value (`https://protobuf.dev/reference/protobuf/google.protobuf#value` format))`` Map of a partner metadata that belong to the same subdomain. It accepts any value including google.protobuf.Struct. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Instance-level hash to be used for [optimistic locking](https://en.wikipedia.org/wiki/Optimistic_concurrency_control). A base64-encoded string. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.instances.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).